get
https://api.fundraisingbox.com/v1/recurrings.json
Returns a collection of recurring payments that fits to a given criteria array.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
PaginationMaximum is 100 entries, use the page parameter to get the next results.
(with pagination: /recurrings.xml?page={page_number})
Filter by criteria
GET /recurrings.xml?amount_min={value}&page={page_number}
Returns a collection of recurring payments that fits to a given criteria.
These criteria are currently available:
| Criterion | Description | Type |
|---|---|---|
| show | Only show active recurrings when show=active | "active" |
| type | Type of the recurring payment | Enum ("recurring_membership", "recurring_sponsorship", "recurring_donation") |
| amount_min | Minimum amount | float |
| amount_max | Maximum amount | float |
| start_min | Minumum start date | date |
| start_max | Maximum start date | date |
| next_min | Minimum next date | date |
| next_max | Maximum next date | date |
| interval | The interval of the recurring | Enum (1, 3, 6, 12) (1 = monthly, 3 = quartely, 6 = half yearly, 12 = yearly) |
| fb_project_id | The ID of a project | integer |
| fb_type_id | The ID of a payment type | integer |
| fb_source_id | The ID of a source | integer |
| fb_payment_form_configuration_id | The ID of a payment form | integer |
| fb_person_id | The ID of a person | integer |
| ids (separated by comma) | A comma separated list of IDs | string |
| search_id | The ID of a smart search | integer |
| is_test | Filter test donations | Enum ("yes", "no", "all") - default is "all" |
If no recurring payments with these criteria exist, an empty recurring payment container will be returned.

